Subject: Bombshell Feedback
From: Pritish Nandi <[email-masked]>
To: bombshell <[email-masked]>
Cc: deeksha <[email-masked]>, saurabh <[email-masked]>
Date: Wed, 16 May 2018 06:32:52 +0530 (IST)

Hi All, 

We have had a lot of tickets in queue today which were left pending. Some of the tickets were not even followed up or provided responses to. Not sure what happened however it seems that you guys are not following the correct procedure. 

Ticket#22361 - Dhirendra - You said that you would send the customer a prepaid label and asked if she would like to get a replacement or refund. You did not note this under replacement or sent me a email/slack message stating that this needs a prepaid label to be sent. No notes in the shopify order. No notes in the ticket or anywhere else. How am I suppose to know who to send what? I picked this up when I was checking all pending and open tickets. Also the ticket was not handled correctly. Please speak to me once you reach office so that I can advise you further. 

Ticket#22350 - Ashish - You stated in your notes " Order number: GE2562935US, Need to contact Global e for further update." However who would contact Global E on your behalf? Also I have shared a simple escalation process which you can use anytime of day to escalate to Global E. As stated in the escalation procedure once you send an email to them they respond within 24 hours. This is not acceptable as you are leaving work for somebody else even when I asked you to escalate it yesterday. 

Ticket# 22375 - Dhirendra - Customer reported an issue with Reward Point discount code. The email came at 09:23 Am PST however was not replied by you. You have put a note that the reward point app is not working and would get back to the customer once it is working. Also, you did not escalate this to Chris that it is not working. I have escalated it when I was going through the pending tickets and replied to customer. You should have replied to customer that we are checking this and will get back to her as soon as possible. You cannot a ticket in pending without replying to it. 

Please complete the task in hand or atleast document or pass those to the team member next in shift to handle so that we do not get a client complaint. 

Thank you. 

Regards, 
Pritish Nandi